﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Npgsql;

namespace DataGridView
{
    public partial class Form1 : Form
    {

        public Form1()
        {
            InitializeComponent();
        }

        private void buttonQuit_Click(object sender, EventArgs e)
        {
            Close();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            if (!Database.CheckConnection())
            {
                MessageBox.Show("データベースに接続できませんでした");
                return;
            }

            Database.GetData();
            dataGridView1.DataSource = Database.dataSet;
            dataGridView1.DataMember = "address";
            Utils.SetHeaderString(dataGridView1, Database.GetComment("address"));
        }

        private void buttonSave_Click(object sender, EventArgs e)
        {
            try
            {
                Database.dataAdapter.Update(Database.dataSet, "address");
                MessageBox.Show("保存しました");
            }
            catch (Exception ex)
            {
                MessageBox.Show("失敗しました。" + ex.Message);
            }
        }

        private void buttonAdd_Click(object sender, EventArgs e)
        {
            int insert_pos = 0;

            if (dataGridView1.Rows.Count > 0)
            {
                if (dataGridView1.CurrentRow == null)
                {
                    MessageBox.Show("一覧から選択して下さい");
                    return;
                }
                insert_pos = dataGridView1.CurrentRow.Index + 1;
            }

            //  挿入する行の生成
            DataRow newRow = Database.dataSet.Tables[0].NewRow();

            //  選択行の下に追加
            Database.dataSet.Tables[0].Rows.InsertAt(newRow, insert_pos);
        }

        private void buttonDel_Click(object sender, EventArgs e)
        {
            if (dataGridView1.CurrentRow == null)
            {
                MessageBox.Show("一覧から選択して下さい");
                return;
            }
            DataRow myRow = Database.dataSet.Tables[0].Rows[dataGridView1.CurrentRow.Index];
            myRow.Delete();
        }
    }
}
