﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace DataGridView
{
    class Utils
    {
        /// <summary>
        /// DataGridView のヘッダーテキストをコメントに置き換えます。
        /// カラム名がidのカラムは非表示にします。
        /// </summary>
        /// <param name="grid">対象となるDataGridView</param>
        /// <param name="hash">カラム名、コメントがペアになったHashtable</param>
        public static void SetHeaderString(System.Windows.Forms.DataGridView grid, System.Collections.Hashtable hash)
        {
            for (int ii = 0; ii < grid.Columns.Count; ii++)
            {
                if (grid.Columns[ii].HeaderText == "id")
                {
                    grid.Columns[ii].Visible = false;
                }
                if (hash[grid.Columns[ii].HeaderText] != null)
                {
                    grid.Columns[ii].HeaderText = hash[grid.Columns[ii].HeaderText].ToString();
                }
            }
        }
    }
}
